document.getElementById('convertButton').addEventListener('click', function() {
  const inputText = document.getElementById('inputText').value;
  const outputText = document.getElementById('outputText');
  outputText.textContent = convertToLeet(inputText);
});

function convertToLeet(text) {
  const leetMap = {
    'a': '4',
    'e': '3',
    'i': '1',
    'o': '0',
    's': '5',
    't': '7',
    'b': '8',
    'g': '9',
    'l': '1',
    'z': '2'
  };

  return text.split('').map(char => leetMap[char.toLowerCase()] || char).join('');
}